/*
Dark Green : #124522   rgb(18,69,34);
Light Green: #8cbf44   rgb(140,191,68);
Gighlight Greem : #a1ff73;

Top Banner blend light Green: #c9e696;
*/



body {
padding: 0;
font-family: 'Open Sans', sans-serif;
}

h1, h2, h3, h4 {
font-family: 'Open Sans', sans-serif;
font-weight: 700;
}

a {
	/*-webkit-transition: all 1s;
	/*transition: all 1s;*/
}

.float-right {
	float: right;
}

img.float-right {
	margin: 4px 10px 4px 0;
}

.btn-success {
	border-color: #e2f7ce;
	background-color: #8cbf44;
	transition: .5s;
}
.btn-success:hover,
.btn-success:focus {
	border-color: #8cbf44;
	background-color: #124522;
	box-shadow: 0 2px 4px #ddd;
}

header {
	position: relative;
	display: block;
}

/**** Logo ****/
a.header-logo {
	position: absolute;
	top: 20px; left: 0;
	max-width: 150px;
	margin-left: 20px;
	color: rgba(0, 77, 0, .7);
	opacity: 3;
	font-family: 'Khula', inherit;
	font-size: 40px;
	text-transform: uppercase;
	text-decoration: none;
	z-index: 1;
}

a.header-logo b {
	display: inline-block;
	position: absolute;
	top: 0px; left: 150px;
}

a.header-logo small {
	display: block;
	font-size: 25px;
}

a.header-logo img {
	height: 120px;
	margin-left: 45px;
	margin-top: -10px;
}

.main-nav .navbar-brand {
	display: none;
}

/**** Top Navigation ****/
.main-nav {
	background-color: #ffffff;
	border-bottom: none;
}

.navbar-inverse .navbar-nav>li>a {
	font-size: 18px;
	padding-top: 100px;
	color: #ffffff;
}

.main-nav .navbar-nav > li > a { font-family: 'Khula', inherit; font-size: 18px; text-transform: uppercase; color: #124522; padding-top: 60px; padding-bottom: 50px;}
.main-nav .navbar-nav > li > a:hover { color: #8cbf44;  font-weight: normal; }
.main-nav .navbar-nav > li > a:focus { color: #8cbf44;  font-weight: normal; }
.main-nav.affix .navbar-nav > li > a { color: #ffffff; }









/***** Mobile Navigation ****/
.mobile-menu { display: none;  }






#slides{

	background-color: #000;
}

.slide {
background-size: contain !important;
background-repeat: no-repeat;
background-color: #000;

}
/**** Slogan ****/

.slogan h2 {
	text-transform: uppercase;
	text-align: center;
	color: #124522;
	/*padding-top: 30px; padding-bottom: 30px;*/
}


/**** Home page boxes ****/
section.section.homepage-boxes {
	background-color: #333;
	margin: 0;
	padding: 0;
	height: 800px;
}

.homepage-side-box > a { height: 400px; }


.homepage-container .col-lg-3,
.homepage-container .col-lg-6,
.homepage-container .col-lg-3	{
	margin-top: 60px;
	padding: 0px;
}


.homepage-side-box a {
	display: block;
	/*margin: 0;*/
	position: relative;
	width: 100%;
	/*height: 350px;*/
	height: auto;
	/*color: #ffffff;*/
	text-decoration: none;
	overflow: hidden;
	/*background: red;*/
	background-size: cover;
	background-position: center;
}



.homepage-side-box .angle,
.homepage-box .angle {
	position: absolute;
	right: 0; bottom: 0;
	height: 0;
	border-top: 50px solid transparent;
	border-bottom: 0px solid transparent;
	border-right: 280px solid #124522;
	padding: 0 15px 100px 0;
	transition: .5s;
}

.homepage-boxes a:hover .angle {
	border-right-color: rgba(238, 238, 238,0.6);

}

.homepage-side-box .angle.angle1 {
	border-right-color: rgba(255, 0, 0, .6)
}

.homepage-side-box .angle.angle2 {
	border-right-color: rgba(0, 102, 255, .6);
}

.homepage-side-box .angle.angle3 {
	border-right-color: rgba(255, 153, 0, .6);
}

.homepage-side-box .angle.angle4 {
	border-right-color: rgba(244, 247, 7, .6);
}

.homepage-side-box .angle h4 {
	position: absolute;
	right: -180px;
	color: #ffffff;
	text-align: center;
	font-size: 20px;
	padding-bottom: 20px;
	transition: .5s;
}

.homepage-side-box .angle h4 small{
	display: block;
	color: #ffffff;
	transition: .5s;
}

.homepage-side-box:hover .angle h4,
.homepage-side-box:hover .angle h4 small {
	color: #124522;
}





/*** Internal Pages ***/
.internal-section {
	margin: 0;
	/*margin-top: 150px;*/
	background-color: rgba(232, 242, 215, .4);
}


/**** internal pages ****/
.banner {
	display: block;
	width: 100%;
	height: 400px;
	/*margin: 80px 0 0 0;*/
	padding: 0;
	background-size: cover;
	background-position: center;
	background-image: url(../img/2017_09_12_karamu_above.jpg);
	background-repeat: no-repeat;

	overflow: hidden;
}

.banner-heading {
	position: absolute;
	right: 0px;
}



body.modal-open .banner,
body.modal-open .header { display: none; }


body.interior .homepage-boxes a {
	height: 400px;
 }
body.interior .homepage-boxes .active a {
	box-shadow: 0 0 15px #111111;
	z-index: 10;
	transition: .5s;
}

body.interior .homepage-boxes .inactive a:hover {
	box-shadow: 0 0 15px #111111;
	z-index: 11;
}
body.interior .homepage-boxes .inactive .angle {
	padding-bottom: 60px;
	border-top: 0 solid transparent;
	transition: .5s;
}
body.interior .homepage-side-box .homepage-boxes .inactive a:hover .angle {
	border-top: 20px solid transparent;
}

section.section.homepage-boxes {
	background-color: transparent;

}

/* s: main content styling only */
.main-content { margin-bottom: 20px; }
.main-content a:not(.btn) { color: rgba(0,77,0,.7); text-decoration: underline; }


/* s: Gallery styling ( bottom of content */
.gallery h4 { display: none; }
.gallery { margin-bottom: 20px; }



/**** internal pages sidebar ****/
/** scrolling side bar **/
.sidebar.affix{
	position: fixed;
	top: 0;
	z-index: 1;
	transition: all .5s ease;
	margin: 150px 0 25px 0;
	padding-right: 70px;
	background-color: #eee;
}

.internal-section-colour {
	background-color: #eeeeee;
}

.internal-section-colour h2 {
	color: #8cbf44;
}

.sidebar .internal-section-colour {
	margin: 0 0 25px 0; padding: 25px 15px;
}



/*** sidebar li a ***/

.sidebar-nav.level-1 {
}

.sidebar-nav.level-1 > li > a {
	color: #111111;
	margin-bottom: 1px;
}

.sidebar-nav.level-1 > li.nav-active > a { color: #124522; }
.sidebar-nav.level-1 > li.nav-child-active > a { background-color:#eee; }
.sidebar-nav.level-1 > li > a:hover {
	color: #A7DB4E;
	border-left: 1px solid #124522;
/*	margin-left: -1px;*/
}

.sidebar-nav.level-2 { display: none; }
.sidebar-nav.level-1 > li.nav-child-active .sidebar-nav.level-2 { display: block; }
.sidebar-nav.level-2 > li > a {
	color: #111111;
	border-left: 1px solid #A7DB4E;
	margin-bottom: 1px;
	padding: 3px 15px;
}
.sidebar-nav.level-2 > li.nav-active > a { border-color: rgba(160,125,80,1);color: #111111; }
.sidebar-nav.level-2 > li.nav-child-active > a { border-color: #A7DB4E; }
.sidebar-nav.level-2 > li > a:hover {
	color: #A7DB4E;
	border-left: 8px solid #A7DB4E;
	margin-left: -2px;
}

.sidebar-nav.level-3 { display: none; }
.sidebar-nav.level-2 > li.nav-child-active .sidebar-nav.level-3 { display: block; }
.sidebar-nav.level-3 > li > a {
	color: #111111;
	border-left: 8px solid #A7DB4E;
	margin-bottom: 1px;
	padding: 3px 15px;
}

.sidebar-nav.level-3 > li.nav-active > a { border-color: rgba(160,125,80,1);; }
.sidebar-nav.level-3 > li.nav-child-active > a { border-color: #A7DB4E; }
.sidebar-nav.level-3 > li > a:hover {
	color: #A7DB4E;
	border-left: 8px solid #A7DB4E;
	margin-left: -2px;
}


/**** Footer ****/
footer hr {
	border-color: #124522;
}

footer {
	font-family: 'Khula', inherit;
	color: #124522;
	background-color: #ffffff;
	text-align: center;
}
footer a {
	color: #124522;
	text-decoration: none;
	transition: .5s;
}

footer a:hover {
	color: #8cbf44;
	text-decoration: none;
}



/*******************************************************************/
/**** MEDIA QUERIES *****/



@media screen and (max-width: 1200px) { /**** Under 1200px wide screens ****/
/*** wide screens nav & logo ***/
	.main-nav {

		height: 125px;
	}

	a.header-logo b {
		display: inline-block;
		position: absolute;
		top: 0px; left: 100px;
		font-size: 20px;
	}

	a.header-logo small {
		display: block;
		font-size: 12px;
		margin-left: 0px;
	}

	a.header-logo img {
		height: 100px;
		margin-left: 10px;
		margin-top: 0px;
	}

	.main-nav .navbar-nav>li>a {
		/*color: #ffffff;*/
		color: #124522;
		padding-top: 30px;

	}

/*** wide screens homepage ***/
/*	.carousel-inner .item   {
		width: 100%;
		height: auto;
	}*/

/*** wide screen homepage buttons ***/

/*	.homepage-side-box .angle,
	.homepage-box .angle {
		height: 0;
		border-top: 30px solid transparent;
		border-bottom: 0px solid transparent;
		border-right: 180px solid #124522;
		padding: 0 15px 80px 0;

		-webkit-transition: all 0.4s;
		transition: all 400ms;

	}*/

	.homepage-side-box.homepage-box {
		padding: 0px;
		margin: 0px;
	}

	.homepage-side-box .angle h4 {
		right: -200px;
	}

/*** wide screens internal pages ***/
	.internal-section {
		margin-top: -22px;
	}

	.sidebar.affix {
		padding-right: 25px;
		margin: 120px 0 25px 0;
	}

}



@media (max-width: 990px) {	/**** Under 990px IPAD ****/
/* IPAD nav & logo */
 	.main-nav {
		/*background-image: url(../img/ps-top-section.png);
		background-size: cover;
		background-repeat: no-repeat;
		border: none;
		width: 100%;
		height: 140px;*/
		background-color: #ffffff;
		border-bottom: none;
		height: 125px;
	}

	a.header-logo b {
			display: inline-block;
			position: absolute;
			top: 0px; left: 100px;
			font-size: 20px;
		}

	a.header-logo small {
		display: block;
		font-size: 12px;
		margin-left: 0px;
	}

	a.header-logo img {
		height: 100px;
		margin-left: 10px;
		margin-top: 0px;
	}

	.main-nav .navbar-nav>li>a {
		/*color: #ffffff;*/
		color: #124522;
		padding-top: 30px;
		padding-right: 2px;

	}


/*** IPAD homepage buttons ***/

	.homepage-side-box .angle,
	.homepage-box .angle {
		border-right: 250px solid #124522;
		border-top: 100px solid transparent;
		width: 100%;
		position: absolute;
		right: 0; bottom: 0;
	}

	.homepage-side-box.homepage-box {
		padding: 0px;
		margin: 0px;
	}

	.slogan h2 {
		font-size: 16px;
		padding-top: 5px;
		padding-bottom: 5px;
	}

/*** IPAD internal page ***/
	body.interior .homepage-boxes a {
		height: 400px;
		margin-top: 0px;
	}

	.internal-section {
		margin-top: -22px;
	}

	.sidebar.affix {
		padding-right: 25px;
		margin: 120px 0 25px 0;
	}

}



@media only screen and (max-width: 700px) { /**** Under 700px IPHONE ****/
/** mobile nav & logo **/

  	/*body {
  		margin-top: -150px
  	}*/

	.navbar-toggle {
		background-color: #124522;
		border-bottom: none;
	}

	.navbar-inverse .navbar-collapse, .navbar-inverse .navbar-form {
		border-color: #ffffff;
	}

 	.main-nav {
		/*background-image: url(../img/ps-top-section.png);
		background-size: contain;
		background-repeat: no-repeat;
		border: none;
		margin-bottom: 0px;*/
		background-color: #ffffff;
		border-bottom: none;
		height: 50px;
	}

	.main-nav .navbar-nav>li>a {
		color: #ffffff;
		text-align: center;
		background: rgba(51, 51, 51, .8);
		padding: 5px;
		text-transform: capitalize;
		letter-spacing: 1px;
	}


	a.header-logo {
		position: absolute;
		top: 0px; left: 0;
	}

	a.header-logo b {
		display: inline-block;
		position: absolute;
		top: 0px; left: 60px;
		font-size: 18px;
		margin-top: 5px;
	}

	a.header-logo small {
		display: block;
		font-size: 11px;
		margin-left: 0px;
	}

	a.header-logo img {
		height: 50px;
		position: absolute;
		top:0, left,0;
		margin-top: 5px;
	}


/*** mobile homepage carousel ***/



/*** mobile homepage buttons ***/

	.homepage-side-box .angle,
	.homepage-box .angle {
		height: 0;
		border-top: 30px solid transparent;
		border-bottom: 0px solid transparent;
		border-right: 180px solid #124522;
		padding: 0 15px 80px 0;

		-webkit-transition: all 0.4s;
		transition: all 400ms;

	}

	.homepage-side-box.homepage-box {
		padding: 0px;
		margin: 0px;
	}

	.homepage-side-box .angle h4 {
		right: -150px;
	}

	footer h5 {
		font-weight: bold;
		text-transform: uppercase;
		padding-top: 5px;
	}

/*** mobile internal pages ***/
	.internal-section {
		margin-top: -24px;
	}

	.internal-section .angle {
		display: none;
	}

	.img-responsive {
		width: 760px;
		height: auto;
	}

/*** mobile internal sidebar ***/
    .sidebar.affix {
      position: relative;
     }

}



.carousel-inner, .carousel {
	height: 100%;
}

.item {height: 100%}

.slide {
	background-position: center;
	background-size: cover;
	height: 100%
}

.homepage-side-box > a {
	height: 100%
}




.navbar-header {
	padding-bottom: 5px;
}





/*MOB NAV*/
div.mob_nav_container {
	display: block;
    position: fixed;
    width: 100%;
    z-index: 50;
    color: #fff;
    background-color: #124522;
    font-size: 1em;
}

a.mob-nav-head {
    display: -webkit-box;
    display: flex;
    -webkit-box-pack: start;
    justify-content: flex-start;
    -webkit-box-align: center;
    align-items: center;
    padding: .7em;
    font-weight: 700;
    background-color: #124522;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
}

div.mob_nav_container span {
    margin-left: .5em;
}

img.mob-logo {
    height: 30px;
}

.mob-menu-icon {
    margin-left: auto;
    color: #fff;
}

h3 i {
    margin-left: 20px;
    font-size: .8em;
}

.fa-phone {
    -webkit-transform: rotate(130deg);
    transform: rotate(130deg);
}

.rotate {
    -webkit-transition: all 100ms ease-in-out;
    transition: all 100ms ease-in-out;
}

.rotate.down {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
}

.nav_mob {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
    color: #fff;
    padding: 0px;
    flex-wrap: wrap;
    font-size: 1em;
}

.nav_head {
    background-color: #fff;
    color: #000;
    height: 60px;
    padding: 5px;
}

.nav_mob a {
    color: #fff;
    text-decoration: none;
    display: block;
    font-size:1.5rem;
    line-height: 1.2rem;
    font-weight: 400;
    text-align: center;
}

.nav_left>li:hover {
    background-color: #8cbf44;
    -webkit-transition: .9s;
    transition: .9s;
}

.nav_right>li:hover {
    background-color: #86243D;
    -webkit-transition: .9s;
    transition: .9s;
}

.nav_mob a:hover:parent {
    background-color: #000;
    -webkit-transition: .9s;
    transition: .9s;
}

ul.nav_top {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    background-color: #333;
    width: 100%;
    padding: 0 !important;
}

.nav_top li {
    flex-wrap: nowrap;
}

.nav_top img {
    display: inline-block;
    vertical-align: middle;
}

.nav_left {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
    background-color: #333;

    padding: 0 !important;
}



.nav_mob>ul.nav_top {
    box-sizing: border-box;
    text-align: center;
    list-style-type: none;
    padding-left: 0;
    margin: 0;
}

.nav_mob>ul.nav_left,
.nav_mob>ul.nav_right {
    box-sizing: border-box;
    text-align: left;
    -webkit-box-flex: 2;
    flex: 2;
    list-style-type: none;
    padding-left: 0;
    margin: 0;
}

.nav_mob>ul.nav_right {
    -webkit-box-flex: 1;
    flex: 1;
    text-align: left;
    list-style-type: none;
    padding-left: 0;
    margin: 0;
}

.nav_mob>ul>li {
    border-bottom: 1px solid;
    border-color: #fff;
    padding: 10px 10px 10px 15px;
    flex-wrap: nowrap;
}

.nav_mob>ul>li:last-child {
    border-bottom: none;
}

.nav_mob>ul.nav_top>li:last-child {
    border-bottom: none;
    border-bottom: 1px solid;
}


.mob-spacer {
    height: 3.8em;
}



.desk-header {display: none}





.karamu-homepage-grid {
	display: grid;
	margin-bottom: 1em;

	grid-auto-rows: 200px;
	grid-gap: 3px;
	grid-template-areas:
	"slide"
	"slide"
	"one"
	"two"
	"three"
	"four";

}



a.side-box {
  height: 100%;
  display: block;
}

.homepage-box-1 {
  grid-area: one;
}

.homepage-box-2 {
  grid-area: two;
  background-color: blue;
}

.kslide {
  grid-area: slide;
  background-color: #ccc;
}

.homepage-box-3 {
  grid-area: three;
}

.homepage-box-4 {
  grid-area: four;
}




.main-footer {display: none}

/*******************************************************************************************/
/*******************************************************************************************/
/*******************************************************************************************/
/*BREAKPOINTS*/
/*******************************************************************************************/

/* Small devices (landscape phones, 576px and up) */
@media (min-width:576px) {

}

/*******************************************************************************************/

/* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
@media (min-width:768px) {


.karamu-homepage-grid {
	display: grid;
	grid-template-columns: 50%;
	grid-auto-rows: 200px;
	grid-gap: 3px;
	grid-template-areas:
	"slide slide"
	"slide slide"
	"one two"
	"three four"

}

.kslide {
  grid-area: slide;


}


.mobile-footer-menu {display: none;}

.main-footer {display: block}



}

/*******************************************************************************************/

/* Large devices (desktops, 992px and up) */
@media (min-width:992px) {

div.mob_nav_container {
	display: none;

}


.desk-header {
	display: flex;
	justify-content: space-between;
	padding: 1em;



}


.school-brand {
	font-size: 30px;
	color: #124522;
	font-weight: 700;
	text-transform:uppercase;
	display: flex;
	line-height: 1em;

}


.school-brand:hover {
	text-decoration: none;
	color: #124522;
}


.name-container{
	margin-left: 1rem;
	margin-top: 0.7rem;
}

.school-name1 {
	font-size: 3rem !important;
	text-decoration: none;
}

.school-name2 {
	font-size: 2rem !important;
	text-decoration: none;
}

.hs {
	font-size: 2rem !important;
	margin-top: -3em;
}

.school-crest{
	height: 100px;
}




.desk-nav {
	display: flex;
    flex-direction: column;
    justify-content: end;
}

.desk-nav ul {
	display: flex;
	justify-content: end;
    gap: 0.4rerm;
	list-style: none;

}


.desk-nav li {
	display: flex;
	align-items: center;
	text-transform: uppercase;
	color: #124522;
	letter-spacing: 1px

}

.desk-nav li  a {
	transition: .5s;
	color: #124522;
		font-weight: 700;
		padding: .5em .5em;
}

.desk-nav li  a:hover {
	text-decoration: none;
	color: #8cbf44;
	background-color: #124522
}

.karamu-homepage-grid {

    display: grid;
 grid-template-columns: 20% auto 20%;
 grid-auto-rows: 50%;
    grid-gap: 5px;
    grid-template-areas:
        "one slide two"
        "three slide four";
        height: 60vh;
}


.main-footer {display: block}


.mobile-footer-menu {display: none;}

}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width:2500px) {



}